<?
if ( is_admin() ){
	add_action('admin_menu', 'easy_sermon_admin_menu');
	
	add_action('admin_init', 'easy_sermon_options_init' );
	
	function easy_sermon_options_init() {
		register_setting( 'easy_sermon_options', 'easy_sermon_podcast_title', 'easy_sermon_sanitize_callback' );
		register_setting( 'easy_sermon_options', 'easy_sermon_podcast_link', 'easy_sermon_sanitize_callback' );
		register_setting( 'easy_sermon_options', 'easy_sermon_podcast_image', 'easy_sermon_sanitize_callback' );
		register_setting( 'easy_sermon_options', 'easy_sermon_podcast_author', 'easy_sermon_sanitize_callback' );
		register_setting( 'easy_sermon_options', 'easy_sermon_podcast_description', 'easy_sermon_sanitize_callback' );
		register_setting( 'easy_sermon_options', 'easy_sermon_podcast_subtitle', 'easy_sermon_sanitize_callback' );
	}
	
	function easy_sermon_sanitize_callback($easy_sermon_option_input) {
		return $easy_sermon_option_input;
	}
	
	function easy_sermon_admin_menu() {
		add_options_page('Easy Sermon Settings', 'Sermon Settings', 'administrator',
		'easy_sermon_settings', 'easy_sermon_settings_page');
	}	
	
	
	function easy_sermon_settings_page() {
		?>
        <div class="wrap">
			<div id="icon-upload" class="icon32"><br /></div><h2>Easy Sermon Settings</h2>
            
            <div class="easy-sermon-message-box">
            	<h3>Easy Sermon settings</h3>
                <p>These settings provide an easy way to change some of the bigger settings of Easy Sermon such as podcast data. However,
                there is limited scope for changing the way things appear on the screen - for that, you would be best off creating a file
                called 'archive-sermons.php' in your theme. For more help on that, see the <a href="http://www.dodifferent.org.uk/easysermon">Easy Sermon documentation</a>.</p>
                
                <h3>Donate</h3>
                <p><strong>Easy Sermon is offered entirely for free</strong> for you to do what you like with it. I give a substantial amount of time to developing it and making sure it is as easy. However, it is also my job as a way of paying my way through studying theology at University and hopefully becoming a pastor. Therefore, if you have benefited from Easy Sermon, I urge you to <strong>support my studies and future vocation</strong> by donating generously and helping me pay my bills - even something as small as 40 dollars, 30 pounds or 35 euros will make a huge difference. Thank you for prayfully considering this.</p>
                <p>
                
               
                <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="VDD5C2H5VZTAW">
<input type="image" src="https://www.paypalobjects.com/en_GB/i/btn/btn_donate_SM.gif" border="0" name="submit" alt="PayPal — The safer, easier way to pay online.">
<img alt="" border="0" src="https://www.paypalobjects.com/en_GB/i/scr/pixel.gif" width="1" height="1">
</form>

</p>
            </div>
            
            <form method="POST" action="options.php">
            <?php settings_fields('easy_sermon_options'); ?>
            	<h3>Podcast details</h3>
            	<table class="form-table">
					<tr valign="top">
						<th scope="row"><label for="easy_sermon_options[easy_sermon_podcast_title]">Sermon podcast title: </label></th>
        				<td>
                        	<?php $easy_sermon_podcast_title = get_option('easy_sermon_podcast_title'); ?>
                        	<input id="easy_sermon_options[easy_sermon_podcast_title]" type="text" maxlength="45" size="10" name="easy_sermon_podcast_title" class="regular-text" value="<?php echo $easy_sermon_podcast_title; ?>" />
                        </td>
                    </tr>
                    
                    <tr valign="top">
						<th scope="row"><label for="easy_sermon_podcast_author">Podcast author: </label></th>
        				<td>
                        	<?php $easy_sermon_podcast_author = get_option('easy_sermon_podcast_author'); ?>
                        	<input id="easy_sermon_podcast_author" type="text" maxlength="45" size="10" name="easy_sermon_podcast_author" class="regular-text" value="<?php echo $easy_sermon_podcast_author; ?>" />
                        </td>
                    </tr>
                    
                    <tr valign="top">
						<th scope="row"><label for="easy_sermon_podcast_link">Link to your website: </label></th>
        				<td>
                        	<?php $easy_sermon_podcast_link = get_option('easy_sermon_podcast_link'); ?>
                        	<input id="easy_sermon_podcast_link" type="text" maxlength="45" size="10" name="easy_sermon_podcast_link" class="regular-text" value="<?php echo $easy_sermon_podcast_link; ?>" />
                        </td>
                    </tr>
                    
                    
                    <tr valign="top">
						<th scope="row"><label for="easy_sermon_podcast_image">Podcast album image: </label></th>
        				<td>
                        	<?php $easy_sermon_podcast_image = get_option('easy_sermon_podcast_image'); ?>
                        	<input id="easy_sermon_podcast_image" type="text" maxlength="45" size="10" name="easy_sermon_podcast_image" class="regular-text" value="<?php echo $easy_sermon_podcast_image; ?>" />
                            <input id="upload_podcast_image_button" type="button" value="Upload" class="button-secondary" />
                        </td>
                    </tr>
                    
                     
                    
                    <tr valign="top">
						<th scope="row"><label for="easy_sermon_podcast_description">Podcast description</label></th>
                        <td>
                            <p>
                            <?php $easy_sermon_podcast_description = get_option('easy_sermon_podcast_description'); ?>
                            <textarea name="easy_sermon_podcast_description" rows="10" cols="50" id="easy_sermon_podcast_description" class="large-text code"><?php echo $easy_sermon_podcast_description; ?></textarea>
                            </p>
                            </fieldset></td>
                    </tr>
                    
                    <tr valign="top">
						<th scope="row"><label for="easy_sermon_podcast_subtitle">Podcast subtitle</label></th>
                        <td>
                            <p>
                            <?php $easy_sermon_podcast_subtitle = get_option('easy_sermon_podcast_subtitle'); ?>
                            <textarea name="easy_sermon_podcast_subtitle" rows="10" cols="50" id="easy_sermon_podcast_subtitle" class="large-text code"><?php echo $easy_sermon_podcast_subtitle; ?></textarea>
                            </p>
                            </fieldset></td>
                    </tr>
                        
                        
                        <tr valign="top">
						<th scope="row"></th>
        				<td>
                        	 <input class='button-primary' type='submit' name='Save' value='<?php _e('Save options'); ?>' id='submitbutton' />
                        </td>
                    </tr>
                </table>
                
               

 
        				
                
            </form>
        </div>
        <?
	}
}
?>