<?
function easy_sermon_stylesheet() {
	wp_register_style('easy-sermon-style', plugin_dir_url(__FILE__).'easy-sermon-style.css');
	wp_enqueue_style('easy-sermon-style');
}

add_action('init', 'easy_sermon_load_feeds');
add_action('get_header', 'easy_sermon_stylesheet');
add_action('wp_head', 'easy_sermon_add_podcast_feed');

function easy_sermon_add_podcast_feed() {
	$title =  get_option('easy_sermon_podcast_title');
	echo '<link rel="alternate" type="application/rss+xml" title="' . $title . '" href="' . get_site_url() . '/?feed=sermonspodcast" />';
}

function easy_sermon_podcast_rss($input) {
	global $query_string;
	global $post;
	query_posts("post_type=easysermon&post_status=publish&posts_per_page=10");

    header("Content-Type: application/rss+xml; charset=ISO-8859-1");
	echo '<?xml version="1.0" encoding="utf-8"?>';
	?>
    
    <rss xmlns:itunes="http://www.itunes.com/dtds/podcast-1.0.dtd" version="2.0">
<channel>
	<title><?php $title =  get_option('easy_sermon_podcast_title'); echo $title; ?></title>
	<link><?php $link =  get_option('easy_sermon_podcast_link'); echo $link; ?></link>
<description><?php $description =  get_option('easy_sermon_podcast_description'); echo $description; ?></description>

<ttl>60</ttl>
<itunes:explicit>no</itunes:explicit>
<itunes:author><?php $author = get_option('easy_sermon_podcast_author'); echo $author; ?></itunes:author>
<itunes:owner>
<itunes:name><?php $title =  get_option('easy_sermon_podcast_title'); echo $title; ?></itunes:name>
<itunes:email><?php $email = get_option('admin_email'); echo $email; ?></itunes:email>
</itunes:owner>
<itunes:subtitle><?php $subtitle = get_option('easy_sermon_podcast_subtitle'); echo $subtitle; ?></itunes:subtitle>
<itunes:summary><?php $subtitle = get_option('easy_sermon_podcast_subtitle');  echo $subtitle; ?></itunes:summary>
<itunes:image href="<?php $image = get_option('easy_sermon_podcast_image'); echo $image; ?>"/>

<?

if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>


	<?
	
	if(get_post_meta($post->ID, "_upload", true) != "") {
				$link = get_post_meta($post->ID, "_upload", true);
					
			} else {
				$link = get_post_meta($post->ID, "_url", true); 
				
			} ?>
	<item>
        <title><?php the_title(); ?></title>
        <link><?php echo $link; ?></link>
        <guid><?php echo $link; ?></guid>
        <pubDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_lastpostmodified('GMT'), false); ?></pubDate>
        <enclosure url="<?php echo $link; ?>" type="audio/mpeg" />
        <itunes:author><?php the_author(); ?></itunes:author>
        <description><?php the_excerpt(); ?></description>
        <itunes:subtitle><?php the_excerpt(); ?></itunes:subtitle>
        <itunes:summary><?php the_excerpt(); ?></itunes:summary>
    </item>




<?php endwhile;
endif; ?>

</channel>
</rss>
    <?
}

function easy_sermon_load_feeds() {
 add_feed("sermonspodcast", "easy_sermon_podcast_rss");

}

function custom_feed_rewrite($wp_rewrite) {
	$feed_rules = array(
		'feed/(.+)' => 'index.php?feed=' . $wp_rewrite->preg_index(1),
		'(.+).xml' => 'index.php?feed='. $wp_rewrite->preg_index(1)
	);
	$wp_rewrite->rules = $feed_rules + $wp_rewrite->rules;
	}
add_filter('generate_rewrite_rules', 'custom_feed_rewrite');





?>