<?php
/*
Plugin Name: Easy Sermon
Plugin URI: http://www.dodifferent.org.uk/easysermon
Description: This plugin makes uploading sermons easy.
Version: 0.3
Author: David Bunce
Author URI: http://www.dodifferent.org.uk
License: GPL3
*/
$easySermonPath = plugin_dir_path(__FILE__);

include plugin_dir_path( __FILE__ ).'/admin.php';
include plugin_dir_path( __FILE__ ).'/backend.php';
include plugin_dir_path( __FILE__ ).'/displayArchive.php';

/* Runs when plugin is activated */
register_activation_hook(__FILE__,'easy_sermon_install'); 

/* Runs on plugin deactivation*/
register_deactivation_hook( __FILE__, 'easy_sermon_remove' );




function easy_sermon_install() {

    global $wpdb;

    $the_page_title = 'Sermons';
    $the_page_name = 'Sermons';

    // the menu entry...
    delete_option("sermons_page");
    add_option("sermons_page", $the_page_title, '', 'yes');
    // the slug...
    delete_option("sermons");
    add_option("sermons", $the_page_name, '', 'yes');
    // the id...
    delete_option("sermons_id");
    add_option("sermons_id", '0', '', 'yes');

    $the_page = get_page_by_title( $the_page_title );

    if ( ! $the_page ) {

        // Create post object
        $_p = array();
        $_p['post_title'] = $the_page_title;
        $_p['post_content'] = "This text may be overridden by the plugin. You shouldn't edit it.";
        $_p['post_status'] = 'publish';
        $_p['post_type'] = 'page';
        $_p['comment_status'] = 'closed';
        $_p['ping_status'] = 'closed';
        $_p['post_category'] = array(1); // the default 'Uncatrgorised'

        // Insert the post into the database
        $the_page_id = wp_insert_post( $_p );

    }
    else {
        // the plugin may have been previously active and the page may just be trashed...

        $the_page_id = $the_page->ID;

        //make sure the page is not trashed...
        $the_page->post_status = 'publish';
        $the_page_id = wp_update_post( $the_page );

    }

    delete_option( 'sermons_id' );
    add_option( 'sermons_id', $the_page_id );

}

function my_plugin_remove() {

    global $wpdb;

    $the_page_title = get_option( "sermons_page" );
    $the_page_name = get_option( "sermons" );

    //  the id of our page...
    $the_page_id = get_option( 'sermons_id' );
    if( $the_page_id ) {

        wp_delete_post( $the_page_id ); // this will trash, not delete

    }

    delete_option("sermons");
    delete_option("sermons_page");
    delete_option("sermons_id");

}



?>
